<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Media Slider		 							        ||
|| # Copyright (C) since 2007  Youjoomla.com. All Rights Reserved.      ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
defined('_JEXEC') or die('Restricted access'); 
$countSlides = count($slides);
if($countSlides == 1){
	$singleSlide =' singleslide';
	$dataAutoSlide = 0;
}else{
	$singleSlide ='';
	$dataAutoSlide = $autoslide;
}

if($buttonnav == 1 && $countSlides > 1){
	$buttonnavClass = ' secondnav';
}else{
	$buttonnavClass = '';
}
?>
<!-- http://www.Youjoomla.com  YJ Media Slider Module for Joomla! starts here -->
<div id="yjmediaout<?php echo $modid ?>" class="yjmediaout<?php echo $buttonnavClass.$singleSlide?>" data-countslides="<?php echo $countSlides ?>" data-autoslide="<?php echo $dataAutoSlide ?>">
	<div class="yjmediasliderinstance<?php echo $modid ?> yjmediaslider loading<?php echo $buttonnavClass?>">
		<div class="slides">
			<?php foreach ($slides as $key=> $slide): 
			
				$hasVideo = false;
				
				if(!empty($slide['video'])){
					
					$hasVideo = true;
					
					if(strstr($slide['video'],'youtube')){
	
						$videoSource = 'youtube';
						$videoCode = explode('v=',$slide['video']);
						$videoCode = $videoCode[1];
						
					}elseif(strstr($slide['video'],'vimeo')){
						
						$videoSource = 'vimeo';
						$videoCode = preg_replace("/[^0-9]/","",$slide['video']);
						
					}
					
					$playData = ' data-source="'.$videoSource.'" data-video="'.$videoCode.'" data-aspect="16x9"';
					
					
				}
			
			?>
			<div class="slide">
				<img class="poster" src="<?php echo JURI::base().$slide['image'];?>" alt="" />
				<div class="slide-details" style="<?php echo $slide['intropoz'] ?>">	
					<?php if(!empty($slide['title'])){ ?>		
					<h3 class="slide-title">
						<?php echo $slide['title'];?>
					</h3>	
					<?php } ?>
					<?php if(!empty($slide['link']) || $hasVideo){ ?>
					<div class="buttons">
						<?php if ( $hasVideo ) { ?>
						<a href="javascript:;" class="play-video"<?php echo $playData ?>><?php echo JText::_('PLAY_VIDEO') ?></a>
						<?php } ?>
						<?php if(!empty($slide['link'])){ ?>
						<a href="<?php echo $slide['link'] ?>" class="read-more"><?php echo JText::_('READ_MORE') ?></a>
						<?php } ?>
					</div>
					<?php } ?>
					<?php if(!empty($slide['intro'])){ ?>	
					<div class="description">
						<?php echo $slide['intro'];?>
					</div>
					<?php } ?>
				</div>			
			</div>
	
			<?php endforeach; ?>
		</div>
		<!-- Main navigation -->
		<div class="main-nav">
			<?php if ($countSlides  == 1) { ?>
			<a href="javascript:;" title="<?php echo JText::_('SLIDE_STOP') ?>" class="prev"><?php echo JText::_('SLIDE_STOP') ?></a>
			<?php }else{ ?>
			<a href="javascript:;" title="<?php echo JText::_('PREV_SLIDE') ?>" class="prev"><span class="icon-angle-left"></span></a>
			<?php } ?>
			<a href="javascript:;" title="<?php echo JText::_('NEXT_SLIDE') ?>" class="next"><span class="icon-angle-right"></span></a>
		</div>
        
		<?php if($buttonnav == 1 && $countSlides > 1){ ?>
		<!-- One by one navigation -->
		<div class="secondary-nav">
			<ul class="individual-nav">
			
				<?php foreach ($slides as $key=> $slide):
				
					if($key == 0 ){
						$firstClass = ' class="current"';
					}else{
						$firstClass ='';
					}
				
				?>
				<li><a href="javascript:;"<?php echo $firstClass ?>></a></li>
				<?php endforeach; ?>
			</ul>
		</div>
		<!-- End of one by one navigation -->
		<?php } ?>
        
		<!-- /Main navigation -->
		<div class="video-player"><!-- empty --></div>
	</div>
		
</div>