<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Media Slider		 							        ||
|| # Copyright (C) since 2007  Youjoomla.com. All Rights Reserved.      ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
// no direct access
defined('_JEXEC') or die('Restricted access');
class YJMediaSliderHelper
	{
		
		static function YJMediaSliderItems(&$params,$modid)
		{
			  /**
			   * Parameters
			   */
		  
			  $order 					= $params->get('order');
			  $autoslide				= $params->get('autoslide');
			  $animation				= $params->get('animation');
			  $animationDuration		= $params->get('animationDuration');
			  $slidewidth				= $params->get('slidewidth');
			  $animateIntro				= $params->get('animateIntro');
			  $dimlights				= $params->get('dimlights');
			  $dimOpacity				= $params->get('dimopacity');
			  
			  
			  if($animateIntro == 1){
				  $animateIntroClass ="'.slide-details'";
			  }else{
				  $animateIntroClass ='false';
			  }
			  
			  /**
			   * Load scripts and stylesheets
			   */
			  JHtml::_('behavior.framework',true);
			  $document = JFactory::getDocument();
			  $scripts  = $document->getHeadData();
			  
			  $document->addStyleSheet(JURI::base() . 'modules/mod_yj_media_slider/css/stylesheet.css');


				$findJquery 	= $scripts['scripts'];
				foreach($findJquery as $k => $v){
					$loadAll[]=$k;
				}
				$allScripts = @implode('',$loadAll);
				if (!strstr($allScripts, 'jquery')){
					$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js');
				}
				
		  	  $document->addScript(JURI::base() . 'modules/mod_yj_media_slider/src/jquery-noconflict.js');
			  $document->addScript(JURI::base() . 'modules/mod_yj_media_slider/src/jquery.mobile.touch-events.min.js');
			  //$document->addScript(JURI::base() . 'modules/mod_yj_media_slider/src/jquery-ui-1.11.0.easing.min.js');
			  $document->addScript(JURI::base() . 'modules/mod_yj_media_slider/src/mod_yj_media_slider.jquery.min.js');
			  
			  
			  $document->addStyleDeclaration(".yjmediasliderinstance".$modid."{width:".$slidewidth.";}");
			  
			  $document->addScriptDeclaration("
				;(function($){
					
					$(window).load(function(){
						
						$('.yjmediasliderinstance".$modid."').YJ_MediaSlider({
							pauseOnHover 	: true,			
							animationDuration : ".$animationDuration.",
							animationType	: '".$animation."', 
							animateChildren	: ".$animateIntroClass.",
							dimlights		:".$dimlights.",
							dimOpacity		:".$dimOpacity.",
							navholder		:'#yjmediaout".$modid."'
						});
						
					});
					
				})(jQuery);
				  
			  ");
			  /**
			   * slides order
			   */
			  $show_order = range(0,10);
			  if($order == 1)
			  {
				  srand((float)microtime()*1000000);
				  shuffle($show_order); 
			  }
			  /**
			   * Slides info
			   */
			  $slides = array();
			  foreach ($show_order as $i)
			  {
				  $image = $params->get('slide_image_'.($i+1));
				  if (empty($image) || $image==-1)  continue;		
				  
				  $slide = array(
					  'title' 				=> $params->get('slide_title_'.($i+1)),
					  'intro' 				=> $params->get('slide_intro_'.($i+1)),
					  'image'				=> $image,
					  'video' 				=> $params->get('slide_video_'.($i+1)),
					  'link' 				=> $params->get('slide_link_'.($i+1)),
					  'intropoz'			=> $params->get('slide_intro_poz_'.($i+1)),
					  'description' 		=> $params->get('slide_description_'.($i+1))
				  );
				  $slides[] = $slide;
				  
			  } 
			  
			  return $slides;
			
	    }
}

?>